Set the HTTP request body data.

- « Swoole\Http\Client::setCookies

- Swoole\Http\Client::setHeaders »

- PHP Manual
- Swoole\Http\Client
- Set the HTTP request body data.

# Swoole\Http\Client::setData

(PECL swoole >= 1.9.0)

Swoole\Http\Client::setData — Set the HTTP request body data.

### Description

public Swoole\Http\Client::setData(string `$data`): ReturnType

The HTTP method will be changed to be POST.

### Parameters

`data`

### Return Values